Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.stochprocess
Class GammaProcessPCABridge

    java.lang.Object
      umontreal.iro.lecuyer.stochprocess.StochasticProcess
          umontreal.iro.lecuyer.stochprocess.GammaProcess
              umontreal.iro.lecuyer.stochprocess.GammaProcessPCA
                  umontreal.iro.lecuyer.stochprocess.GammaProcessPCABridge

Direct Known Subclasses:
  GammaProcessPCASymmetricalBridge

    public class GammaProcessPCABridge

extends GammaProcessPCA

Same as `GammaProcessPCA`, but the generated uniforms correspond to a bridge transformation of the `BrownianMotionPCA` instead of a sequential transformation.

Field Summary

Fields inherited from class umontreal.iro.lecuyer.stochprocess.StochasticProcess
`path`

Constructor Summary
`GammaProcessPCABridge(double s0, double mu, double nu, RandomStream stream)` .

Method Summary
`double[]` | `generatePath()` Generates, returns and saves the path {X(t0), X(t1),…, X(td)}.
`double[]` | `generatePath(double[] uniform01)` Generates, returns and saves the path {X(t0), X(t1),…, X(td)}.
`BrownianMotionPCA` | `getBMPCA()` Returns the inner `BrownianMotionPCA`.
`void` | `setObservationTimes(double[] t, int d)` Sets the observation times of the `GammaProcessPCA` and the `BrownianMotionPCA`.
`void` | `setParams(double s0, double mu, double nu)` Sets the parameters `s0`, μ and ν to new values, and sets the variance parameters of the `BrownianMotionPCA` to ν.

Methods inherited from class umontreal.iro.lecuyer.stochprocess.GammaProcessPCA
`nextObservation, nextObservation, setStream`

Methods inherited from class umontreal.iro.lecuyer.stochprocess.GammaProcess
`getMu, getNu, getStream`

Methods inherited from class umontreal.iro.lecuyer.stochprocess.StochasticProcess
`generatePath, getArrayMappingCounterToIndex, getCurrentObservation, getCurrentObservationIndex, getNbObservationTimes, getObservation, getObservationTimes, getPath, getSubpath, getX0, hasNextObservation, resetStartProcess, setObservationTimes`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GammaProcessPCABridge

    public GammaProcessPCABridge(double s0,
                                 double mu,
                                 double nu,
                                 RandomStream stream)

  . Constructs a new `GammaProcessPCABridge` with parameters μ = , ν = and initial value S(t0) = . The same stream is used to generate the gamma and beta random numbers. All these numbers are generated by inversion in the following order: the first uniform random number generated is used for the gamma and the other d - 1 for the beta's.

Method Detail

### generatePath

    public double[] generatePath(double[] uniform01)

  Description copied from class: `GammaProcess`
  Generates, returns and saves the path {X(t0), X(t1),…, X(td)}. This method does not use the `RandomStream` `stream` nor the `GammaGen` `Ggen`. It uses the vector of uniform random numbers U(0, 1) provided by the user and generates the path by inversion. The vector `uniform01` must be of dimension d.

  Overrides:
    `generatePath` in class `GammaProcessPCA`

### generatePath

    public double[] generatePath()

  Description copied from class: `GammaProcess`
  Generates, returns and saves the path {X(t0), X(t1),…, X(td)}. The gamma variates X in are generated using the `RandomStream` `stream` or the `RandomStream` included in the `GammaGen` `Ggen`.

  Overrides:
    `generatePath` in class `GammaProcessPCA`

### setParams

    public void setParams(double s0,
                          double mu,
                          double nu)

  Description copied from class: `GammaProcessPCA`
  Sets the parameters `s0`, μ and ν to new values, and sets the variance parameters of the `BrownianMotionPCA` to ν.

  Overrides:
    `setParams` in class `GammaProcessPCA`

### setObservationTimes

    public void setObservationTimes(double[] t,
                                    int d)

  Description copied from class: `GammaProcessPCA`
  Sets the observation times of the `GammaProcessPCA` and the `BrownianMotionPCA`.

  Overrides:
    `setObservationTimes` in class `GammaProcessPCA`

### getBMPCA

    public BrownianMotionPCA getBMPCA()

  Returns the inner `BrownianMotionPCA`.

  Overrides:
    `getBMPCA` in class `GammaProcessPCA`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.